| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
LatencyBudgetQosPolicy Class Reference

Specifies the maximum acceptable delay from the time the data is written until the data is inserted in the receiver's application-cache and the receiving application is notified of the fact.This policy is a hint to the Service, not something that must be monitored or enforced. More...

`#include <QosPolicies.hpp>`

Inheritance diagram for LatencyBudgetQosPolicy:
[legend]

## Public Member Functions

FASTDDS_EXPORTED_API | LatencyBudgetQosPolicy ()
| Constructor.
virtual FASTDDS_EXPORTED_API | ~LatencyBudgetQosPolicy ()=default
| Destructor.
bool | operator== (const LatencyBudgetQosPolicy &b) const
void | clear () override
| Clears the QosPolicy object.
Public Member Functions inherited from Parameter_t
FASTDDS_EXPORTED_API | Parameter_t ()
| Constructor without parameters.
FASTDDS_EXPORTED_API | Parameter_t (ParameterId_t pid, uint16_t length)
| Constructor using a parameter PID and the parameter length.
virtual FASTDDS_EXPORTED_API | ~Parameter_t ()
| Destructor.
bool | operator== (const Parameter_t &b) const
Public Member Functions inherited from QosPolicy
| QosPolicy ()
| Constructor without parameters.
| QosPolicy (bool send_always)
| Constructor.
| QosPolicy (const QosPolicy &b)=default
| Copy Constructor.
virtual | ~QosPolicy ()=default
| Destructor.
bool | operator== (const QosPolicy &b) const
QosPolicy & | operator= (const QosPolicy &b)=default
virtual bool | send_always () const
| Whether it should always be sent.

## Public Attributes

fastdds::dds::Duration_t | duration
| Maximum acceptable delay from the time data is written until it is received. By default, dds::c_TimeZero.
Public Attributes inherited from Parameter_t
ParameterId_t | Pid
| Parameter ID. By default, PID_PAD.
uint16_t | length
| Parameter length. By default, 0.
Public Attributes inherited from QosPolicy
bool | hasChanged
| Boolean that indicates if the Qos has been changed with respect to the default Qos.

## Additional Inherited Members

Protected Attributes inherited from QosPolicy
bool | send_always_
| Boolean that indicates if the Qos has to be sent even if it is not changed.

## Detailed Description

Specifies the maximum acceptable delay from the time the data is written until the data is inserted in the receiver's application-cache and the receiving application is notified of the fact.This policy is a hint to the Service, not something that must be monitored or enforced.

The Service is not required to track or alert the user of any violation.

Warning
  This QosPolicy can be defined and is transmitted to the rest of the network but is not implemented in this version.

Note
  Mutable Qos Policy

## Constructor & Destructor Documentation

## ◆ LatencyBudgetQosPolicy()

FASTDDS_EXPORTED_API LatencyBudgetQosPolicy | ( |  | ) |

inline

Constructor.

## ◆ ~LatencyBudgetQosPolicy()

virtual FASTDDS_EXPORTED_API ~LatencyBudgetQosPolicy | ( |  | ) |

virtual default

Destructor.

## Member Function Documentation

## ◆ clear()

void clear | ( |  | ) |

inline override virtual

Clears the QosPolicy object.

Implements QosPolicy.

## ◆ operator==()

bool operator== | ( | const LatencyBudgetQosPolicy & | b | ) | const

inline

## Member Data Documentation

## ◆ duration

fastdds::dds::Duration_t duration

Maximum acceptable delay from the time data is written until it is received.
By default, dds::c_TimeZero.

The documentation for this class was generated from the following file:

- include/fastdds/dds/core/policy/QosPolicies.hpp